UNICODE_SCRIPT(3)

NAME
unicode_script - unicode script property

SYNOPSIS

#include <courier-unicode.h>

unicode_script_t unicode_script(char32_t ch);

DESCRIPTION

unicode_script() looks up the “script” property of the specified unicode character, and returns it. The unicode_script_t enumeration encodes possible unicode script values. unicode_script_unknown gets returned for a unicode character with an unknown script property.

SEE ALSO

TR-24[1], courier-unicode(7).

AUTHOR

Sam Varshavchik
    Author

NOTES

1.  TR-24
    https://www.unicode.org/reports/tr24/tr24-38.html